#
# spec file for package xgamma
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xgamma
Version:        1.0.7
Release:        1.4
Summary:        Utility to alter a monitor's gamma correction through the X server
License:        MIT
Group:          System/X11/Utilities
URL:            https://xorg.freedesktop.org/
Source0:        https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
Source1:        https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz.sig
Source2:        xgamma.keyring
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xxf86vm)
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6

%description
xgamma allows X users to query and alter the gamma correction of a
monitor via the X video mode extension (XFree86-VidModeExtension).

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc ChangeLog README.md
%{_bindir}/xgamma
%{_mandir}/man1/xgamma.1%{?ext_man}

%changelog
* Sun Dec  4 2022 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.0.7
  * Update README for gitlab migration
  * Update configure.ac bug URL for gitlab migration
  * gitlab CI: add a basic build test
  * Resolve -Wdouble-promotion warnings from clang
  * Refactor to reduce code duplication
  * Use strtof() if available, instead of casting atof() to float
  * autogen.sh: use quoted string variables
  * autogen: add default patch prefix
  * autogen.sh: use exec instead of waiting for configure to finish
* Thu Aug 11 2022 Dirk Müller <dmueller@suse.com>
- modernize spec-file, move license to licensedir
- use gpg for source validation
* Fri Apr 24 2015 sndirsch@suse.com
-  Update to version 1.0.6:
  * This minor maintenance release provides the usual recent
    collection of build configuration improvements and janitorial
    cleanups. It does not provide enough gamma radiation to mutate
    the user into a green-skinned giant who likes to smash things. ;-)
* Sat Apr 14 2012 dimstar@opensuse.org
- Update to version 1.0.5:
  + Document that xgamma is useless on XRandr screens.
  + Build system fixes.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xgamma from xorg-x11. Initial version: 1.0.4.
